function db_result(apertura,attivazione,cerniere,peso,altezza,larghezza,tipo_apertura){
	
	// pre-query
	var db_table, filename_apertura, filename_attivazione, filename_cerniere, filename_tipoapertura;
	if (apertura == 'rialza') {
		if(tipo_apertura == 'Automatic'){
			db_table = db_rialza_automatica;
			filename_tipoapertura = '_Automatic';
		}else{
			db_table = db_rialza_frizionata;
			filename_tipoapertura = '_Friction';
		}
		filename_apertura = 'Lift';
	} else {
		db_table = db_ribalta;
		filename_apertura = 'Drop';
		filename_tipoapertura = '';
	}
	if (attivazione == 'openHandle') {
		filename_attivazione = 'Handle';
	} else {
		filename_attivazione = 'Push';
	}
	if (cerniere == 'kimanaNew') {
		filename_cerniere = 'Kimana';
	} else if (cerniere == 'flapHinge') {
		filename_cerniere = 'Flap';
	} else if (cerniere == 'standardHingeWithoutSpring') {
		filename_cerniere = 'Unsprung';
	} else {
		filename_cerniere = 'Sprung';
	}
	
	// query
	var results = [];
	for (var i = 0; i < db_table.length; i++){
		
		if (
			db_table[i].altezzaMin <= altezza
			&& altezza <= db_table[i].altezzaMax
			//&& db_table[i].larghezzaMin <= larghezza
			&& larghezza <= db_table[i].larghezzaMax
			&& db_table[i].pesoMin <= peso
			&& peso <= db_table[i].pesoMax
			&& db_table[i].numero > 0
		){
			results.push({
				filename: 'Kraby_'+db_table[i].asta+'_'+filename_apertura+'_'+filename_cerniere+'_'+filename_attivazione+filename_tipoapertura+'.pdf',
				numero:db_table[i].numero,
				asta:db_table[i].asta,
				newton:db_table[i].newton,
				partNumber:db_table[i].partNumber,
			});
		}
	}
	
/*
	if(empty(results)){ // se non ho risultati provo con la larghezza più grande (elimino il controllo sul minimale dello step successivo)
		
		for (var i = 0; i < db_table.length; i++){
			
			if (
				db_table[i].altezzaMin <= altezza
				&& altezza <= db_table[i].altezzaMax
				&& larghezza <= db_table[i].larghezzaMax
				&& db_table[i].pesoMin <= peso
				&& peso <= db_table[i].pesoMax
				&& db_table[i].numero > 0
			){
				results.push({
					filename: 'Kraby_'+db_table[i].asta+'_'+filename_apertura+'_'+filename_cerniere+'_'+filename_attivazione+filename_tipoapertura+'.pdf',
					numero:db_table[i].numero,
					asta:db_table[i].asta,
					newton:db_table[i].newton,
					partNumber:db_table[i].partNumber,
				});
			}
		}
		
	}
*/
	
	// result	
	if(results) return results;
	else return false;
		
}